## com.google.appengine.api.files.dev
Class LocalFileService

    java.lang.Object
      AbstractLocalRpcService
          com.google.appengine.api.files.dev.LocalFileService

    @ServiceProvider(value=<error>)
    public class LocalFileService

extends AbstractLocalRpcService

Implementation of local file service.

Field Summary
`static java.lang.String` `PACKAGE` The package name for this service.

Constructor Summary
`LocalFileService()`

Method Summary
`AppendResponse` `append(Status status, AppendRequest request)`
`CloseResponse` `close(Status status, CloseRequest request)`
`CreateResponse` `create(Status status, CreateRequest request)`
`java.lang.Double` `getDefaultDeadline(boolean isOfflineRequest)`
`java.lang.Double` `getMaximumDeadline(boolean isOfflineRequest)`
`java.lang.String` `getPackage()`
`void` `init(LocalServiceContext context, java.util.Map<java.lang.String,java.lang.String> properties)`
`void` `onRequestEnd(com.google.apphosting.api.ApiProxy.Environment environment)`
`OpenResponse` `open(Status status, OpenRequest request)`
`ReadResponse` `read(Status status, ReadRequest request)`
`void` `start()`
`void` `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PACKAGE

    public static final java.lang.String PACKAGE

  The package name for this service.

  See Also:
    Constant Field Values

Constructor Detail

### LocalFileService

    public LocalFileService()

Method Detail

### getPackage

    public java.lang.String getPackage()

### init

    public void init(LocalServiceContext context,
                     java.util.Map<java.lang.String,java.lang.String> properties)

### start

    public void start()

### stop

    public void stop()

### onRequestEnd

    public void onRequestEnd(com.google.apphosting.api.ApiProxy.Environment environment)

### create

    public CreateResponse create(Status status,
                                 CreateRequest request)

### open

    public OpenResponse open(Status status,
                             OpenRequest request)

### close

    public CloseResponse close(Status status,
                               CloseRequest request)

### append

    public AppendResponse append(Status status,
                                 AppendRequest request)

### read

    public ReadResponse read(Status status,
                             ReadRequest request)

### getDefaultDeadline

    public java.lang.Double getDefaultDeadline(boolean isOfflineRequest)

### getMaximumDeadline

    public java.lang.Double getMaximumDeadline(boolean isOfflineRequest)